GETGet Stream Schema

Flexible Webhook APIhttps://web3.nodit.io/v1/aptos/mainnet/flexible-webhooks/streams/77/schema

Retrieves the JSON Schema and filterable CEL field list for a specific stream. Use filterFields, bigintFields, and addressFields as a reference when writing CEL filter expressions.

Path Parameters
chainstring (enum)required

Parameter to specify the target chain for the query.

networkstring (enum)required

Parameter to specify the network of the target chain. Supported networks may vary depending on the chain.

streamIdstringrequired

The unique ID that identifies a Stream.

Responses
streamIdstring

The unique ID that identifies a Stream.

schemaobject

The full JSON Schema of the Stream payload. Use this to inspect the type and structure of each field.

filterFieldsstring[]

List of fields that can be used as filter conditions in a CEL expression.

bigintFieldsstring[]

List of fields with bigint values. Take care with numeric comparisons when writing CEL expressions.

addressFieldsstring[]

List of fields containing blockchain address values. Use the address_eq() function in CEL expressions for these fields.

X-API-KEY
Request
cURL
curl -X GET "https://web3.nodit.io/v1/aptos/mainnet/flexible-webhooks/streams/77/schema" \
  -H "X-API-KEY: {YOUR_API_KEY}"
Response
Example · 200
{
  "streamId": "string",
  "schema": {},
  "filterFields": [
    "string"
  ],
  "bigintFields": [
    "string"
  ],
  "addressFields": [
    "string"
  ]
}